// constants won't change. They're used here to set pin numbers:
const int blueButton = 12;     // the number of the pushbutton pin
const int redButton = 14;     // the number of the pushbutton pin
const int greenButton = 27;     // the number of the pushbutton pin

const int blueLedPin =  23;      // the number of the LED pin
const int redLedPin =  22;      // the number of the LED pin
const int greenLedPin =  21;      // the number of the LED pin

// variables will change:
int blueButtonState = 0;         // variable for reading the pushbutton status
int redButtonState = 0;         // variable for reading the pushbutton status
int greenButtonState = 0;         // variable for reading the pushbutton status

void setup() {
  // Reading and writing to Serial
  Serial.begin(115200);
  Serial.print("Begun the serial reading");
  
  // initialize the LED pin as an output:
  pinMode(blueLedPin, OUTPUT);
  pinMode(redLedPin, OUTPUT);
  pinMode(greenLedPin, OUTPUT);
  
  // initialize the pushbutton pin as an input:
  pinMode(blueButton, INPUT);
  pinMode(redButton, INPUT);
  pinMode(greenButton, INPUT);
}

void loop() {
  
  // read the state of the pushbutton value:
  blueButtonState = digitalRead(blueButton);
  redButtonState = digitalRead(redButton);
  greenButtonState = digitalRead(greenButton);

  // check if the pushbutton is pressed. If it is, the buttonState is HIGH:
  if (blueButtonState == HIGH) {
    // turn LED off:
    digitalWrite(blueLedPin, LOW);
  } else {
    // turn LED on:
    digitalWrite(blueLedPin, HIGH);
  }

  // check if the pushbutton is pressed. If it is, the buttonState is HIGH:
  if (redButtonState == HIGH) {
    // turn LED on:
    digitalWrite(redLedPin, LOW);
  } else {
    // turn LED off:
    digitalWrite(redLedPin, HIGH);
  }

  // check if the pushbutton is pressed. If it is, the buttonState is HIGH:
  if (greenButtonState == HIGH) {
    // turn LED on:
    digitalWrite(greenLedPin, LOW);
  } else {
    // turn LED off:
    digitalWrite(greenLedPin, HIGH);
  }
}
