//WiFi Connection required
#include <WiFi.h>
#include <ArduinoJson.h>

#include "HTTPClient.h"
#include "DarkSkySevenDay.h"

#define HOMESSID "Orange-53C0"
#define HOMEPW "ue7GMzAN"

#define DARKSKYKEY "99cf8c271c198145e19392cdda276549"
#define GOOGLEKEY "AIzaSyDywU9IDtWLfFKGbLMFACt1hmcSH6GrjZs"

DarkSkySevenDay forecast;

float temperature;
int ledPin = 13;

float farToCelsius(float farenheit) {
  return (farenheit - 32) / 1.8;
}

void connectWifi() {

  WiFi.begin(HOMESSID, HOMEPW);

  Serial.print("Connecting.");

  while (WiFi.status() != WL_CONNECTED) {
    Serial.print(".");
    delay(200);
  }

  Serial.print("Connected to: ");
  Serial.println(HOMESSID);
}

void setup() {
  Serial.begin(115200);
  // put your setup code here, to run once:

  while (!Serial) {
    ;
  }
  Serial.println("Serial Monitor Initialized");

  while (WiFi.status() != WL_CONNECTED) {
    connectWifi();
  }
 
  forecast.parseWeather(DARKSKYKEY, GOOGLEKEY);
  
  temperature = forecast.current.temperature;
  Serial.println(farToCelsius(temperature));

  pinMode(ledPin, OUTPUT);
}

void loop() {
  // put your main code here, to run repeatedly:
  digitalWrite(ledPin, !digitalRead(ledPin));

  // delay expects an unsigned long and temperature is a float, so we convert
  unsigned long delayTime = (unsigned long) temperature * 50 ;
  delay(delayTime);
}
